dbXML API

## org.dbxml.core.filer
Interface Streamable

All Known Implementing Classes:
  Paged.PageHeader, IndexPattern

public interface Streamable

Streamable is an interface implemented by objects used by Filers and Indexers in order to serialize objects to and from IO streams.

Method Summary
`void` `read(java.io.DataInputStream is)` read reads the object state from the stream.
`void` `write(java.io.DataOutputStream os)` write writes the object state to the stream.

Method Detail

### read

    public void read(java.io.DataInputStream is)
              throws java.io.IOException

  read reads the object state from the stream.
  Parameters:
    `is` - The DataInputStream
  Throws:
    `java.io.IOException` - if an IOException occurs

### write

    public void write(java.io.DataOutputStream os)
               throws java.io.IOException

  write writes the object state to the stream.
  Parameters:
    `os` - The DataOutputStream
  Throws:
    `java.io.IOException` - if an IOException occurs

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved